#以下全部使用中文注释，方便理解
name: 顺序工作流

on:
#  push:
#    branches:
#      - main

jobs:
  job_测试1:
    runs-on: ubuntu-latest
    steps:
      - name: 运行工作流A
        run: echo "这是工作流A"

      # 克隆仓库，加上适合合理的emoji表情，方便区分
      - name: 🚀 克隆仓库
        env: 
          REPO_URL: https://github.com/coolsnowwolf/lede  # 仓库的URL地址
          REPO_BRANCH: master                             # 需要克隆的分支名
        run: |
          git clone --depth 1 $REPO_URL -b $REPO_BRANCH

      - name: 📦 获取固件版本 - 检索当前固件的版本信息
        run: |
          cd lede
          # 获取 DISTRIB_REVISION 值
          DISTRIB_REVISION=$(grep '"DISTRIB_REVISION=' */*/default-settings/files/zzz-default-settings | cut -d"'" -f2)

          # 将值设置为环境变量
          echo "distrib_revision=$DISTRIB_REVISION" >> $GITHUB_ENV 
          
          # 在日志中显示 DISTRIB_REVISION 的值
          echo "DISTRIB_REVISION: $DISTRIB_REVISION"